#
# spec file for package python-k8sclient
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-k8sclient
Version:        0.4.0
Release:        lp150.2.1
Summary:        Python API and CLI for OpenStack K8s
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://launchpad.net/%{name}
Source0:        https://files.pythonhosted.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-oslotest >= 3.2.0
BuildRequires:  python-pbr >= 2.0.0
BuildRequires:  python-python-dateutil >= 2.4.2
BuildRequires:  python-python-subunit >= 1.0.0
BuildRequires:  python-setuptools >= 16.0
BuildRequires:  python-testrepository >= 0.0.18
BuildRequires:  python-testscenarios >= 0.4
BuildRequires:  python-testtools >= 2.2.0
BuildRequires:  python-urllib3 >= 1.21.1
Requires:       python-pbr >= 2.0.0
Requires:       python-python-dateutil >= 2.4.2
Requires:       python-six >= 1.10.0
Requires:       python-urllib3 >= 1.21.1
BuildArch:      noarch

%description
Client library for K8s built on the K8s API. It provides a Python API
(the k8sclient module) and a command-line tool (k8s).

%package doc
Summary:        Documentation for OpenStack K8s API client libary
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-oslosphinx >= 4.7.0

%description doc
Client library for K8s built on the K8s API. It provides a Python API
(the k8sclient module) and a command-line tool (k8s).
This package contains the documentation.

%prep
%autosetup -n %{name}-%{version}
%py_req_cleanup

%build
%py2_build

# Build HTML docs and man page
%{__python2} setup.py build_sphinx
rm -rf html/.{doctrees,buildinfo}

%install
%py2_install

%check
%{__python2} setup.py testr

%files
%doc README.rst
%license LICENSE
%{python2_sitelib}/k8sclient
%{python2_sitelib}/*.egg-info

%files doc
%doc doc/build/html
%license LICENSE

%changelog
* Fri Feb 23 2018 tbechtold@suse.com
- Switch to stable/queens spec template
* Mon Aug  7 2017 tbechtold@suse.com
- switch to stable/pike spec template
* Wed Jun  7 2017 dmueller@suse.com
- update to version 0.4.0
- remove 0001-Deserialize-values-correctly-for-Magnum-k8s-monitor.patch
* Wed Dec 28 2016 mjura@suse.com
- Add 0001-Deserialize-values-correctly-for-Magnum-k8s-monitor.patch
* Thu Sep 29 2016 tbechtold@suse.com
- Use global-requirements for stable/newton in _service
* Tue Sep 27 2016 tbechtold@suse.com
  update to version 0.3.0
  * Add More tests from Magnum
  * Add python 3 support
  * Add default config for git-review
  * Log info about K8S environment
  * Add Python 3.5 classifier and venv
  * Remove unsafe usage of eval
  * Add test case for configmaps
  * Add a init script for starting Kubernetes
  * Default to application/json
  * Fixing patch_* commands execution
  * Add a functional test target
  * s/"Magnum"/"python-k8sclient" at README.rst
  * Adding batch_v1 api support
  * Install Docker in kube-init.sh
  * Fix up sanitize_for_serialization
  * Fix default ip/port
  * Keep py3.X compatibility for urllib
  * Fix package name in pbr VersionInfo call
  * Using named logger instead of root logger
  * Allow script to be executed from tox env
  * Run swagger codegen for latest Kubernetes API
  * Adding extensions_v1beta1 api support
  * TLS integration for latest pythonk8sclient
- update_service and switch to upstream spec
- remove versioninfo.patch (applied upstream)
* Tue Apr 19 2016 rhafer@suse.com
- Added versioninfo.patch to fix pbr Version lookup issue
* Tue Apr 19 2016 tbechtold@suse.com
- Execute tests during build
* Tue Apr 19 2016 tbechtold@suse.com
- Initial packaging (version 0.1.0)
